Package tigase.kernel.beans.config

# Interface ConfigurationChangedAware

All Known Implementing Classes:
  `AbstractComponent`, `AbstractComponentRegistrator`, `AbstractKernelBasedComponent`, `AbstractMessageReceiver`, `AbstractSDComponentRepositoryBean`, `AmpComponent`, `AmpComponentClustered`, `AuthRepositoryMDPoolBean.AuthRepositoryConfigBean`, `AuthUserRepositoryConfigBean`, `BasicComponent`, `BoshConnectionClustered`, `BoshConnectionManager`, `ClientConnectionClustered`, `ClientConnectionManager`, `ClusterConnectionManager`, `ClusterConnectionManager.DefClConRepositoryBean`, `ClusterController`, `ComponentConnectionManager`, `ComponentProtocol`, `ComponentProtocolManager`, `Configurator`, `ConfiguratorAbstract`, `ConfiguratorOld`, `ConnectionManager`, `ConnectionManager.PortConfigBean`, `ConnectionManager.SecPortConfigBean`, `CounterDataArchivizer`, `CounterDataFileLogger`, `CounterDataLogger`, `CounterDataLoggerRepoBean.CounterDataLoggerConfigBean`, `DataSourceBean.DataSourceMDConfigBean`, `EchoComponent`, `EventBusComponent`, `EventBusComponent`, `ExternalServiceDiscoveryComponent`, `LoggingBean`, `MDPoolConfigBean`, `MDRepositoryBean.MDRepositoryConfigBean`, `MessageRouter`, `MonitorComponent`, `MonitorComponent`, `MsgBroadcastRepository.MsgBroadcastRepositoryBean.MsgBroadcastRepositoryConfigBean`, `MsgRepository.MsgRepositoryMDBean.MsgRepositoryConfigBean`, `RepoPool.MessageArchiveRepositoryConfigBean`, `S2SConnectionManager`, `ScheduledTask`, `SDRepositoryBean`, `SDRepositoryBeanWithStatistics`, `SeeOtherHostDB.SeeOtherHostDBSDRepositoryBean`, `SeeOtherHostDualIP.DualIPRepositoryWrapper.DualIPRepositoryWrapperConfigBean`, `SessionManager`, `SessionManagerClustered`, `StatisticsCollector`, `TestComponent`, `UpdatesChecker`, `UserRepositoryMDPoolBean.UserRepositoryConfigBean`, `VHostManager`, `VHostManager.DefVHostRepositoryBean`, `WebSocketClientConnectionClustered`, `WebSocketClientConnectionManager`, `WorkgroupQueuesComponent`, `XMPPServiceCollector`

public interface ConfigurationChangedAware
Interface which should be implemented by beans which want to get notified when all configuration changes were applied and get full list of changed fields in a single place.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beanConfigurationChanged(Collection<String> changedFields)`
  Method called when configuration was applied to bean.

- ## Method Details

  - ### beanConfigurationChanged

    void beanConfigurationChanged(Collection<String> changedFields)
    Method called when configuration was applied to bean.
    Parameters:
      `changedFields` - collection of field names which were changed